Summary:	The GNU shar utilities for packaging and unpackaging shell archives
Name:		sharutils
Version:	4.15.2
Release:	%mkrel 2
License:	GPLv3
Group:		Archiving/Backup
Url:		http://www.gnu.org/software/sharutils/
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.xz
Patch0:		sharutils-4.14.2-Pass-compilation-with-Werror-format-security.patch
Patch1:     %{name}-4.15.2-Fix-a-heap-buffer-overflow-in-find_archive.patch
Patch2:     %{name}-4.15.2-fflush-adjust-to-glibc-2.28-libio.h-removal.patch
Patch3:     %{name}-4.15.2-Fix-building-with-GCC-10.patch
Patch4:     %{name}-4.15.2-Do-not-include-lib-md5.c-into-src-shar.c.patch
BuildRequires:	texinfo

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through email (which can be problematic for
regular binary files).  The shar utility supports a wide range of
capabilities (compressing, uuencoding, splitting long files for
multi-part mailings, providing checksums), which make it very flexible
at creating shar files.  After the files have been sent, the unshar
tool scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the shar
files.

Install sharutils if you send binary files through email very often.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-rpath

%make_build

%install
rm -rf %buildroot
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}
%{_infodir}
%{_mandir}

%changelog
* Fri Feb 11 2022 tex - 4.15.2-2pclos2022
- rebuild against updates

* Wed Sep 01 2021 tex - 4.15.2-1pclos2021
- new version

